Foreman - Bug #16461

Role filter is not overriding from CLI and API
09/07/2016 05:07 AM - Jitendra Yejare

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Users, Roles and Permissions
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1373840 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3822
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1373840

Description of problem:

According to new feature Canned Role:Org Admin, The user should be able to override the taxonomies of role filter over role

taxonomies.

The behavior is expected from Ul, but not from hammer CLI and API. | am unable to override the taxonomies of role filter. The CLI
says it does overrided the role filter and API says 200 OK result but the override is not actually happening. In short the results from

APl and CLI are false positive.

Version-Release number of selected component (if applicable):
foreman-1.13.0-0.develop.201609051301git713be41.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a role with taxonomies.

2. Create/(Update existing) filter in above role with overridden taxonomies from CLI/API.

3. Verify if role filter is created/Updated with taxonomies.

Actual results:
Role filter is not overriding from CLI and API.

Expected results:
The role filter should be able to override from CLI and API.

Additional info:

Related issues:

Related to Foreman - Feature #7806: As a user, | would like roles to associat... Closed 10/03/2014
Related to Foreman - Bug #17107: Expose override attribute in filter APl output Closed 10/26/2016

Associated revisions

Revision 9bdc4fea - 09/08/2016 04:49 AM - Marek Hulan

Fixes #16461 - expose override in filter API

Revision 4132ff87 - 09/12/2016 11:39 AM - Marek Hulan

Fixes #16461 - expose override in filter API

(cherry picked from commit 9bdc4fea9711290431b611337ac72c2003dc8efd)

History

#1 - 09/07/2016 05:09 AM - Marek Hulan

- Category set to Users, Roles and Permissions
https://bugzilla.redhat.com/show_bug.cgi?id=1373840

#2 - 09/07/2016 05:09 AM - Marek Hulan

- Related to Feature #7806: As a user, | would like roles to associate roles with organizations. added

#3 - 09/07/2016 05:11 AM - Marek Hulan
- Target version set to 1.5.3

- translation missing: en.field_release set to 160
The override flag should be exposed in API, since the feature was introduced in 1.13 I'm aligning this to the same version.

#4 - 09/07/2016 07:58 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3822 added

#5 - 09/08/2016 05:02 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 9bdc4fea9711290431b611337ac72c2003dc8efd.

#6 - 10/26/2016 07:40 AM - Marek Hulan
- Related to Bug #17107: Expose override attribute in filter API output added
